image: python:latest

stages:
  - Packages
  - Publish

install-framework:
  stage: Packages
  script:
    - cd introduction_package
    - python -m pip install --upgrade pip
    - pip install -r requirements.txt
    - pip install twine
    - pip install .

publish:
  stage: Publish
  script:
    - pip install build twine
    - python -m build
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token python -m twine upload --repository-url ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/pypi dist/*
    - python -m twine upload --repository pypi --username "${PYPI_USERNAME}" --password "${PYPI_PASSWORD}" --verbose dist/*